Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

install problem with godaddy


Guest

Recommended Posts

my last host had the problem of the server being down more than it was up, so I figured with a bigger company like godaddy, I wouldn't have this problem. Hahahaha....boy should i have read up on them first, lol. That cpanel is something, hahaha.

Well, anyway, I'm stuck with them for a year now. When I try to upload my shop, I get an "internal server error" on the main catalog page.

the tech at godaddy seems to believe it's a problem connecting with the db...I was thinking it could be something to do with globals. according to godaddy web support, globals is on for php4, which is the db I created with them. On my previous server it was also 4 with globals on.

don't know what the heck I'm looking for, any suggestions?

 

edit: how could it be the db when i haven't even got to the install yet?? on my other server, with my test store, i would erase and re upload it all the time, which would take me to the install screen, enter the db info, back up with contributions in tact.

Link to comment
Share on other sites

that's the first thing i did check. and to double check I had the ftp give everything a 777 clearance and the problem persisted. Also i tried uploading a new fresh install...that one worked, so i can't blame them, lol. Mine is a 2.2-ms2, if that would make a differance.

Link to comment
Share on other sites

Many servers will throw a 500 error if you make the folder permissions 777 - as the maximum they allow is 755.

 

You should not use 777 for folders unless you absolutely have to - and even then you should complain to the hosting company.

 

Files should never be higher than 644, unless you need to make the two configure.php files 755 just for the install procedure..

 

Vger

Link to comment
Share on other sites

so i busted out the 755, no differance. Also, the web host doesn't put a limit...i did some searching in their knowledge base, and their file manager allows 777.

Link to comment
Share on other sites

Follow Up....the reason I thought it might be the register globals is because I did some messing around with that...adding register_globals=on to the htaccess file, in the past. So i replaced those files (in the catalog and admin folders) with new ones from the default vanilla store and sure enough that was it. Thanks for your help...the file permission tips are good knowledge to have.

Link to comment
Share on other sites

Hi,

 

I'm trying to install at godaddy too but i've been getting the mysql authentication error:

 

Warning: mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in catalog\includes\functions\database.php on line 18

Unable to connect to database server!

 

Any idea how to deal with that?

Link to comment
Share on other sites

i'm glad you kept this going...i thought i was in the clear when i saw the install screen. I got to step 2, "import catalog database" and "automatic configuration" both with check boxes, but it doesn't matter what you choose, because the continue button does nothing. There's also an option to upgrade from 'exchange project 2.1' in the beginning, where you can enter the 4 main database entries-server, user, password, db name, like in a typical install, but that also doesn't continue on...

Harix, are you using the standard current default store or something else? I ask because, I have the default under a seperate name (to compare) and that one seems to work fine. If not, then we probably have a similar problem.

Link to comment
Share on other sites

In my case, its been 3-4 days talking with support but nothing helps. I can't go ahead from the screen where I enter the hostname and DB information. This error pops up and I have no idea where to go. Is it really an issue with godaddy?

Link to comment
Share on other sites

No I don't believe so, cuz like i've been saying, the main store that you download from osc, installs fine for me...when you put in the db paremeters are you using the actual server adress (it's a number on the top of phpmyadmin) and NOT "localhost"?

 

 

EDIT: yup ms2, that's what i'm using....

Link to comment
Share on other sites

Harix...I figured most of it out and got my store about 95% up...still got a few errors to work through, but I can see everything. Basically the way I did it was to skip the setup process entirely by creating my db (from a backup), and altering the 2 configuration.php's.

To get an idea, look at this thread, and then the next one is an example of some guy doing it with some help:

http://www.oscommerce.com/forums/index.php?sho...&hl=godaddy

http://www.oscommerce.com/forums/index.php?sho...&hl=godaddy

 

As for the database, I'm assuming since you're not using the current issue of osc, then you are indeed uploading a store that you already have setup, in which case you do have a backup of your last sql, correct?

 

If you're still having the problem and want to try, then hit me up with a PM and I'll do my best to help you tomorrow some time. But don't worry, go daddy is adequate to host osc...just a pain in the a@@ to get it setup. and i still say their control panel is a circus.

Link to comment
Share on other sites

Hi,

 

Well thanks for the information, its a great relief to have someone helping. Well i'm trying to install a new shop and don't have a database backup. I'm trying to create a new DB and install the shop. I've had the design of the shop customized though.

Link to comment
Share on other sites

  • 1 month later...

Hi, I hope I'm in the right place for this topic.

 

I've tried to install the osCommerce v. 2.2 (the latest available) module on my website and I needed to create a mysql database to make it work.

I have the hosting with Godaddy, and I've created the database in both versions 4.01 and 5, but when I try to log in it says

 

"Client does not support authentication protocol requested by server; consider upgrading MySQL client".

 

I noticed that the problem is the type of login used by Mysql >= 4.1, so via phpMyAdmin I've executed the sql command

 

"SET PASSWORD = OLD_PASSWORD('MyPassword');" to change the login mode, as suggested in many forums and websites.

 

Now it logs in, it says "database imported correctly" but it doesn't create any table into the db.

 

Any suggestion ?

thank you

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...